# PulpOstreeClient::OstreeOstreeRepository

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**name** | **String** | A unique name for this repository. | 
**description** | **String** | An optional description. | [optional] 
**retain_repo_versions** | **Integer** | Retain X versions of the repository. Default is null which retains all versions. | [optional] 
**remote** | **String** | An optional remote to use by default when syncing. | [optional] 
**compute_delta** | **Boolean** |  | [optional] [default to true]

## Code Sample

```ruby
require 'PulpOstreeClient'

instance = PulpOstreeClient::OstreeOstreeRepository.new(pulp_labels: null,
                                 name: null,
                                 description: null,
                                 retain_repo_versions: null,
                                 remote: null,
                                 compute_delta: null)
```


