# PulpOstreeClient::OstreeImportCommitsToRef

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**artifact** | **String** | An artifact representing OSTree content compressed as a tarball. | 
**repository_name** | **String** | The name of a repository that contains the compressed OSTree content. | 
**ref** | **String** | The name of a ref branch that holds the reference to the last commit. | 

## Code Sample

```ruby
require 'PulpOstreeClient'

instance = PulpOstreeClient::OstreeImportCommitsToRef.new(artifact: null,
                                 repository_name: null,
                                 ref: null)
```


