# PulpOstreeClient::OstreeOstreeRefResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**pulp_href** | **String** |  | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**artifact** | **String** | Artifact file representing the physical content | 
**relative_path** | **String** | Path where the artifact is located relative to distributions base_path | 
**commit** | **String** |  | 
**checksum** | **String** |  | [optional] [readonly] 
**name** | **String** |  | 

## Code Sample

```ruby
require 'PulpOstreeClient'

instance = PulpOstreeClient::OstreeOstreeRefResponse.new(pulp_href: null,
                                 pulp_created: null,
                                 artifact: null,
                                 relative_path: null,
                                 commit: null,
                                 checksum: null,
                                 name: null)
```


